Search Results for

Show / Hide Table of Contents

# Class ListViewItemEventArgs

System.EventArgs for ListView events.

##### Inheritance

System.Object
System.EventArgs
ListViewItemEventArgs

##### Inherited Members

System.EventArgs.Empty
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class ListViewItemEventArgs : EventArgs

### Constructors

#### ListViewItemEventArgs(Int32, Object)

Initializes a new instance of ListViewItemEventArgs

##### Declaration

    public ListViewItemEventArgs(int item, object value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | item | The index of the ListView item.
System.Object | value | The ListView item

### Properties

#### Item

The index of the ListView item.

##### Declaration

    public int Item { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### Value

The ListView item.

##### Declaration

    public object Value { get; }

##### Property Value

Type | Description
--- | ---
System.Object |